/*=======================================================*/
/*  TVFQTYPE.C                                           */
/*     functions for manipulating input fields in a wind */
/*                                                       */
/*  (c) Copyright 1988 Ralf Brown  All Rights Reserved   */
/*  May be freely copied for noncommercial use, so long  */
/*  as this copyright notice remains intact, and any     */
/*  changes are marked in the comment blocks preceding   */
/*  functions.                                           */
/*=======================================================*/

#include "tvapi.h"
#include "tvstream.h"

/*=============================================*/
/* TVqry_type  get type of a field             */
/*   Ralf Brown 4/17/88                        */
/*=============================================*/

int pascal TVqry_type(OBJECT win,int fld)
{
   static BYTE stream[] = { S_QUERY(3), 0xF6, 0, 0 } ;

   stream[5] = fld ;
   TVwin_stream(win,stream) ;
   return (int) stream[6] ;
}

/* End of TVFQTYPE.C */
